A newer version of this documentation is available.

View Latest

Status and Events

  • reference

Couchbase Server Enterprise Edition 7.6 reaches End of Life on March 31, 2027. Please upgrade to 8.0.x by following Upgrade, or contact Couchbase Support.

Cluster status and important system events can be retrieved by means of the REST API.

APIs in this Section

Couchbase Server provides multiple ways of deriving cluster-status, by means of the REST API. Additionally, system events, which provide the details of significant occurrences on the cluster, can inspected — through either batch or dynamic retrieval. Each of the endpoints is listed in the following table.

HTTP Method URI Documented at

GET

/pools/default/tasks

Getting Cluster Tasks

GET

/logs/rebalanceReport?reportID=<report-id>

Getting Cluster Tasks

GET

/pools

Retrieving Cluster Information

GET

/pools/default

Viewing Cluster Details

GET

/events

Getting System Events

GET

/eventsStreaming

Getting System Events

GET

/pools/default/terseClusterInfo

Identifying the Orchestrator Node

GET

/pools/nodes

Getting Information on Nodes

GET

/pools/default/nodeServices

Listing Node Services